"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useWebpackAlias = void 0;
const chokidar_1 = require("chokidar");
const fs_extra_1 = __importDefault(require("fs-extra"));
const react_1 = require("react");
const getWebpackAlias_1 = require("./getWebpackAlias");
function useWebpackAlias(cwd) {
    const [alias, setAlias] = react_1.useState(() => getWebpackAlias_1.getWebpackAlias(cwd));
    react_1.useEffect(() => {
        const watcher = chokidar_1.watch([`${cwd}/src/*`, `${cwd}/src/@*/*`], {
            ignored: (fileOrDir) => !fs_extra_1.default.existsSync(fileOrDir) || !fs_extra_1.default.statSync(fileOrDir).isDirectory(),
        });
        function handler() {
            const next = getWebpackAlias_1.getWebpackAlias(cwd);
            setAlias((prev) => {
                return JSON.stringify(prev) !== JSON.stringify(next) ? next : prev;
            });
        }
        watcher.on('add', handler).on('change', handler).on('unlink', handler);
        return () => {
            watcher.close();
        };
    }, [cwd]);
    return alias;
}
exports.useWebpackAlias = useWebpackAlias;
//# sourceMappingURL=useWebpackAlias.js.map